html {
  min-height: 100%;
}

body {
  background: #f2bbd2;
  background: radial-gradient(
    circle,
    rgba(242, 187, 210, 1) 5%,
    rgba(238, 180, 196, 1) 23%,
    rgba(236, 200, 176, 1) 56%,
    rgba(233, 227, 148, 1) 100%
  );
  max-width: 800px;
  margin: auto;
  font-family: "Georgia", sans-serif;
}

header {
  margin-top: 30px;
  margin-bottom: 10px;
  display: flex;
}

header .title {
  font-size: 60px;
  font-weight: 800;
  text-decoration: none;
  font-family: "Georgia", sans-serif;
  color: #3f25e7;
  text-shadow: 3px 2px 2px #e640c2;
}

.hidden {
  display: none;
}

.error-message {
  padding: 10px;
  margin: 20px 20px 30px 20px;
  height: auto;
  border-radius: 10px;
  border: 4px #dc3d3d solid;
  background-color: rgb(242, 213, 235);
  box-shadow: 10px 10px;
  font-size: 16px;
  font-weight: 600;
}

.add-image-toggle {
  width: 15%;
  height: 40px;
  margin: 10px 0px 0px 10px;
  font-family: "Georgia", sans-serif;
  font-weight: 600;
  font-size: 80%;
  color: #66525e;
  background-color: rgb(208, 223, 237);
  border-radius: 10px;
  box-shadow: 4px 5px #000;
  cursor: pointer;
}

/* taken from: 
https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_buttons_animate3 */
.add-image-toggle:hover {
  background-color: rgb(123, 186, 246);
}

.add-image-toggle.active {
  transform: translateX(5px) translateY(5px);
  background-color: rgb(123, 186, 246);
  box-shadow: 1px 2px #000;
}

.total-text {
  margin: 30px;
  font-weight: 1000;
  font-family: "Georgia", sans-serif;
  font-size: large;
  color: #5f394f;
}

/* .load-spinner + @keyframes spin taken from https://www.w3schools.com/howto/howto_css_loader.asp */
.load-spinner {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #2988c7; /* Blue */
  border-radius: 50%;
  margin: auto;
  width: 60px;
  height: 60px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.empty-gallery {
  font-size: 30px;
  font-weight: 600;
  font-family: "Georgia", sans-serif;
  color: #5f394f;
  text-align: center;
}

.update-button {
  position: sticky;
  top: 15px;
  margin-bottom: 5px;
  width: 125px;
  height: 40px;
  font-family: "Georgia", sans-serif;
  color: #66525e;
  background-color: rgb(242, 205, 227);
  border-radius: 10px;
  border-color: #3c3037;
  font-weight: 550;
  cursor: pointer;
}

.gallery-section {
  display: flex;
  flex-direction: column;
  margin-bottom: 5px;
}

.credits-text {
  font-size: 20px;
  font-weight: 500;
  font-family: "Georgia", sans-serif;
}

h1 {
  font-weight: 1000;
  font-family: "Georgia", sans-serif;
  font-size: 30px;
  color: #5f394f;
}

h2 {
  font-weight: 1000;
  font-family: "Georgia", sans-serif;
  font-size: 20px;
  color: #2f2029;
}

h3 {
  font-weight: 700;
  font-family: "Georgia", sans-serif;
  font-size: 16px;
  color: #2f2029;
}

ul {
  font-weight: 500;
  font-family: "Georgia", sans-serif;
  font-size: 16px;
  color: #2f2029;
}

a {
  font-weight: 500;
  font-family: "Georgia", sans-serif;
  font-size: 16px;
  color: #264285;
}
